Subject: [Jsonpath] Object member names in JSONPath queries ...

From: Daniel P <[email-masked]>
Date: Fri, 12 Nov 2021 12:16:54 -0500

> From: "Stefan Gössner" <[email-masked]>
> To: [email-masked]

> Please can someone enlighten a dump mechanical engineer, what 'projection' means in this context.
>
Regarding the meaning of projection, consider a selector, e.g. '.*',
that returns a list of N nodes, node1, ... nodeN. Any subsequent
selector will be evaluated against each individual node in the list.
So the evaluation of '.*child-selector' will be child-selector(node1),
... child-selector(nodeN). This is referred to as a projection, the
selector child-selector is projected onto each node produced by '.*'.

Daniel